## transdecoder 2.0.1%2Bdfsg

=== debian/changelog ===
transdecoder (2.0.1+dfsg-2) unstable; urgency=medium

  [ Andreas Tille ]
  * Slightly enhanced short description
  * Lintian override for false positive package-contains-timestamped-gzip
  * DEP3 headers

  [ Charles Plessy ]
  * Make output reproducible.
    Closes: #809187

 -- Andreas Tille <tille@debian.org>  Mon, 28 Dec 2015 08:26:27 +0100

transdecoder (2.0.1+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #778300)

 -- Michael R. Crusoe <mcrusoe@msu.edu>  Fri, 13 Feb 2015 06:26:24 -0500 

=== debian/watch ===
version=3

opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g" \
  https://github.com/TransDecoder/Transdecoder/releases .*/archive/v?(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)

## transdecoder 3.0.1+dfsg

=== Makefile ===
SHELL := /bin/bash

all:
	cd ./transdecoder_plugins/ && $(MAKE) all

clean:
	cd ./transdecoder_plugins/ && $(MAKE) clean
	cd ./sample_data && ./cleanme.pl

test:
	cd ./sample_data/ && ./runMe.sh

=== sample_data/Makefile ===

DIRS=cufflinks_example pasa_example simple_transcriptome_target

test:
	@for i in $(DIRS); do \
	echo "Running example in $$$i..."; \
	(cd $$i; $(MAKE) test) || exit $$?; done


clean:
	@for i in $(DIRS); do \
	echo "Running example in $$i..."; \
	(cd $$i; $(MAKE) clean) || exit $$?; done

## transdecoder 2.0.1+dfsg

=== debian/changelog ===
transdecoder (2.0.1+dfsg-3) unstable; urgency=medium

  [ Eduard Sanou ]
  * Set a hash seed for Perl before generating sample_data/transcripts.fasta
    to get a reproducible output. Closes: #822268

  [ Michael R. Crusoe ]
  * Updated VCS URLs, bumped standards version, forwarded Eduard's patch
    upstream.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sun, 24 Apr 2016 11:53:12 -0700

=== debian/control ===
Source: transdecoder
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Michael R. Crusoe <michael.crusoe@gmail.com>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               cd-hit,
               liburi-perl
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/transdecoder.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/transdecoder.git
Homepage: https://transdecoder.github.io/

Package: transdecoder
Architecture: all
Depends: ${misc:Depends},
         ${perl:Depends},
         cd-hit,
         liburi-perl
Description: find coding regions within RNA transcript sequences
 TransDecoder identifies candidate coding regions within transcript sequences,
 such as those generated by de novo RNA-Seq transcript assembly using Trinity,
 or constructed based on RNA-Seq alignments to the genome using Tophat and
 Cufflinks.
 .
 TransDecoder identifies likely coding sequences based on the following
 criteria:
  * a minimum length open reading frame (ORF) is found in a transcript sequence
  * a log-likelihood score similar to what is computed by the GeneID software
    is > 0.
  * the above coding score is greatest when the ORF is scored in the 1st
    reading frame as compared to scores in the other 5 reading frames.
  * if a candidate ORF is found fully encapsulated by the coordinates of
    another candidate ORF, the longer one is reported. However, a single
    transcript can report multiple ORFs (allowing for operons, chimeras, etc).
  * optional the putative peptide has a match to a Pfam domain above the noise
    cutoff score.

Package: transdecoder-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${perl:Depends}
Description: find coding regions within transcripts
 TransDecoder identifies candidate coding regions within transcript sequences,
 such as those generated by de novo RNA-Seq transcript assembly using Trinity,
 or constructed based on RNA-Seq alignments to the genome using Tophat and
 Cufflinks.
 .
 TransDecoder identifies likely coding sequences based on the following
 criteria:
  * a minimum length open reading frame (ORF) is found in a transcript sequence
  * a log-likelihood score similar to what is computed by the GeneID software
    is > 0.
  * the above coding score is greatest when the ORF is scored in the 1st
    reading frame as compared to scores in the other 5 reading frames.
  * if a candidate ORF is found fully encapsulated by the coordinates of
    another candidate ORF, the longer one is reported. However, a single
    transcript can report multiple ORFs (allowing for operons, chimeras, etc).
  * optional the putative peptide has a match to a Pfam domain above the noise
    cutoff score.
 .
 This package contains the documentation and sample data.

## transdecoder 2.1.0+dfsg

=== debian/changelog ===
transdecoder (2.1.0+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Drop 'reproducible-build' patch, incorprorated upstream

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Wed, 18 May 2016 02:28:29 -0700

=== debian/rules ===
#!/usr/bin/make -f

DH_VERBOSE := 1
DEBVERS        := $(shell dpkg-parsechangelog | awk '/^Version:/ {print $$2}')
VERSION        := $(shell echo '$(DEBVERS)' | sed -e 's/^[0-9]*://' -e 's/-.*//')

%:
	dh $@ --parallel

override_dh_auto_clean:
	cd ./sample_data && ./*/cleanme.pl

override_dh_auto_build:

override_dh_install:
	dh_install
	find debian/transdecoder -name '*.p?' | xargs sed -i \
                's=^#!/usr/local/bin/perl=#!/usr/bin/perl='

override_dh_installman:
	pod2man --section=1 --center="Transcriptome Protein Prediction" \
		--release="$$VERSION" TransDecoder.LongOrfs > \
		debian/TransDecoder.LongOrfs.1
	pod2man --section=1 --center="Transcriptome Protein Prediction" \
		--release="$$VERSION" TransDecoder.Predict > \
		debian/TransDecoder.Predict.1
	dh_installman

get-orig-source:
	uscan --verbose --force-download --repack --compression xz

override_dh_clean:
	# generated man pages
	dh_clean debian/TransDecoder.LongOrfs.1 debian/TransDecoder.Predict.1

## transdecoder 3.0.0+dfsg

=== debian/changelog ===
transdecoder (3.0.0+dfsg-2) unstable; urgency=medium

  [ Andreas Tille ]
  * Use xz compression for repackaged tarball
  * Simplify overrides
  * Delete unneeded empty directory
  * Fix permission of some file that should not be executable

  [ Michael R. Crusoe ]
  * clean up after tests to improve reproducibility and reduce package size

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Mon, 23 May 2016 12:46:27 -0700

transdecoder (3.0.0+dfsg-1) unstable; urgency=medium

  * new upstream release

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Wed, 18 May 2016 03:03:30 -0700

=== debian/rules ===
--- 
+++ 
@@ -8,14 +8,19 @@
 	dh $@ --parallel
 
 override_dh_auto_clean:
-	cd ./sample_data && ./*/cleanme.pl
+	cd ./sample_data && for script in ./*/cleanme.pl; do $$($$script); done
 
 override_dh_auto_build:
+
+override_dh_auto_test:
+	dh_auto_test
+	cd ./sample_data && for script in ./*/cleanme.pl; do $$($$script); done
 
 override_dh_install:
 	dh_install
 	find debian/transdecoder -name '*.p?' | xargs sed -i \
                 's=^#!/usr/local/bin/perl=#!/usr/bin/perl='
+	find debian/*/usr/lib/transdecoder -type d -empty -delete
 
 override_dh_installman:
 	pod2man --section=1 --center="Transcriptome Protein Prediction" \
@@ -26,8 +31,9 @@
 		debian/TransDecoder.Predict.1
 	dh_installman
 
-get-orig-source:
-	uscan --verbose --force-download --repack --compression xz
+override_dh_fixperms:
+	dh_fixperms
+	chmod -x debian/transdecoder/usr/lib/transdecoder/PerlLib/Fasta_retriever.pm
 
 override_dh_clean:
 	# generated man pages

## transdecoder 3.0.1+dfsg

=== debian/changelog ===
transdecoder (3.0.1+dfsg-1) unstable; urgency=medium

  * Add Multi-Arch: foreign hint to transdecoder-doc
  * New upstream release

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Thu, 10 Nov 2016 03:21:20 -0800

transdecoder (3.0.0+dfsg-3) unstable; urgency=medium

  * Apply fix for FTBFS from Chris Lamb <lamby@debian.org>, (Closes:
    #839297)
  * Fix running of autopkgtests

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sun, 02 Oct 2016 06:31:59 -0700

=== debian/control ===
--- 
+++ 
@@ -39,6 +39,7 @@
 
 Package: transdecoder-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends: ${misc:Depends},
          ${perl:Depends}

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,7 @@
 #!/usr/bin/make -f
 
 DH_VERBOSE := 1
-DEBVERS        := $(shell dpkg-parsechangelog | awk '/^Version:/ {print $$2}')
-VERSION        := $(shell echo '$(DEBVERS)' | sed -e 's/^[0-9]*://' -e 's/-.*//')
+DEBVERS        := $(shell dpkg-parsechangelog --show-field=Version)
 
 %:
 	dh $@ --parallel
@@ -24,10 +23,10 @@
 
 override_dh_installman:
 	pod2man --section=1 --center="Transcriptome Protein Prediction" \
-		--release="$$VERSION" TransDecoder.LongOrfs > \
+		--release="$(DEBVERS)" TransDecoder.LongOrfs > \
 		debian/TransDecoder.LongOrfs.1
 	pod2man --section=1 --center="Transcriptome Protein Prediction" \
-		--release="$$VERSION" TransDecoder.Predict > \
+		--release="$(DEBVERS)" TransDecoder.Predict > \
 		debian/TransDecoder.Predict.1
 	dh_installman

=== debian/watch ===
version=3

opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
  https://github.com/TransDecoder/Transdecoder/releases .*/archive/v?(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)

## transdecoder 5.0.1

=== sample_data/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 
-DIRS=cufflinks_example pasa_example simple_transcriptome_target
+DIRS=cufflinks_example pasa_example simple_transcriptome_target stringtie_example
 
 test:
 	@for i in $(DIRS); do \

=== sample_data/simple_transcriptome_target/Makefile ===
test:
	./runMe.sh


refine_starts:
	./runMe.sh --refine_starts


clean:
	./cleanme.pl

=== debian/changelog ===
transdecoder (5.0.1-5) unstable; urgency=medium

  * Team upload.
  * d/control: Suggests: transdecoder-doc.
    Thanks to Andreas Beckmann <anbe@debian.org> (Closes: #988852)

 -- Étienne Mollier <emollier@debian.org>  Mon, 13 Dec 2021 21:25:21 +0100

transdecoder (5.0.1-4) unstable; urgency=medium

  * Fix watchfile to detect new versions on github (routine-update)
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Replace use of deprecated $ADTTMP with $AUTOPKGTEST_TMP.

 -- Andreas Tille <tille@debian.org>  Sun, 29 Aug 2021 18:01:57 +0200

transdecoder (5.0.1-3) unstable; urgency=medium

  * Use 2to3 to port from Python2 to Python3
    Closes: #945719
  * debhelper-compat 12
  * Standards-Version: 4.4.1
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Fri, 10 Jan 2020 12:04:54 +0100

transdecoder (5.0.1-2) unstable; urgency=medium

  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.2.1
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test target
  * Remove trailing whitespace in debian/changelog
  * Remove trailing whitespace in debian/copyright
  * Fix Perl path

 -- Andreas Tille <tille@debian.org>  Tue, 30 Oct 2018 14:25:40 +0100

transdecoder (5.0.1-1) unstable; urgency=medium

  * New upstream version (no need to repackage since binary files are now
    removed upstream)
  * Upstream changelog: cdhit has been removed and replaced by our own fast
    method for removing redundancies
  * Standards-Version: 4.1.3
  * debhelper 11
  * Add missing Depends: r-base-core, python
  * d/rules: do not parse d/changelog
  * Fix permissions

 -- Andreas Tille <tille@debian.org>  Mon, 19 Feb 2018 15:11:06 +0100

=== debian/control ===
--- 
+++ 
@@ -4,20 +4,22 @@
            Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 9),
-               cd-hit,
+Build-Depends: debhelper-compat (= 13),
                liburi-perl
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/transdecoder.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/transdecoder.git
+Standards-Version: 4.6.0
+Vcs-Browser: https://salsa.debian.org/med-team/transdecoder
+Vcs-Git: https://salsa.debian.org/med-team/transdecoder.git
 Homepage: https://transdecoder.github.io/
+Rules-Requires-Root: no
 
 Package: transdecoder
 Architecture: all
 Depends: ${misc:Depends},
          ${perl:Depends},
-         cd-hit,
-         liburi-perl
+         liburi-perl,
+         r-base-core,
+         python3
+Suggests: transdecoder-doc
 Description: find coding regions within RNA transcript sequences
  TransDecoder identifies candidate coding regions within transcript sequences,
  such as those generated by de novo RNA-Seq transcript assembly using Trinity,

=== debian/tests/control ===
Tests: run-tests
Depends: make, @
Restrictions: allow-stderr

=== debian/watch ===
version=4

https://github.com/TransDecoder/Transdecoder/tags (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@

## transdecoder 5.7.1

=== Makefile ===
SHELL := /bin/bash

all:
	@echo Nothing to build.  Run \'make test\' to run example executions on each of the sample data sets provided.

clean:
	cd ./sample_data && make clean

test:
	cd ./sample_data/ && make test

=== __testing/Makefile ===



all: incl_blast_n_pfam simplest single_best best_with_homology

simplest:
	../util/select_best_ORFs_per_transcript.pl --gff3_file longest_orfs.gff3 --cds_scores longest_orfs.cds.scores > test.simplest
	diff test.simplest __test.simplest.expected


single_best:
	../util/select_best_ORFs_per_transcript.pl --gff3_file longest_orfs.gff3 --cds_scores longest_orfs.cds.scores --single_best_orf > test.single_best
	diff test.single_best __test.single_best.expected

incl_blast_n_pfam:
	../util/select_best_ORFs_per_transcript.pl --gff3_file longest_orfs.gff3 --cds_scores longest_orfs.cds.scores  --pfam_hits pfam.domtblout  --blast_hits blastp.outfmt6 > test.wBlastNPfam
	diff test.wBlastNPfam __test.wBlastNPfam.expected


best_with_homology:
	../util/select_best_ORFs_per_transcript.pl --gff3_file longest_orfs.gff3 --cds_scores longest_orfs.cds.scores  --pfam_hits pfam.domtblout  --blast_hits blastp.outfmt6 --single_best_orf > test.best_w_homology
	diff test.best_w_homology __test.best_w_homology.expected





clean:
	rm -f ./test.*



# for checking the trans count dist:
#
#  for file in test.*; do cat $file  | perl -lane 'if ($F[2] eq "CDS") { print;}' | print.pl 0 | token_counter.pl  > __$file.expected.hist; echo done $file; done

=== sample_data/Makefile ===

DIRS=cufflinks_example pasa_example simple_transcriptome_target stringtie_example supertranscripts_example

test:
	@for i in $(DIRS); do \
	echo "Running example in $$$i..."; \
	(cd $$i; $(MAKE) test) || exit $$?; done


test_docker:
	cd simple_transcriptome_target && ./runMe.Docker.sh

clean:
	@for i in $(DIRS); do \
	echo "Running example in $$i..."; \
	(cd $$i; $(MAKE) clean) || exit $$?; done

=== sample_data/cufflinks_example/Makefile ===
test:
	./runMe.sh  incl_pfam_n_blast

clean:
	./cleanme.pl

=== sample_data/pasa_example/Makefile ===
test:
	./runMe.sh

clean:
	./cleanme.pl

=== sample_data/simple_transcriptome_target/Makefile ===
test:
	./runMe.sh

complete_orfs_only:
	./runMe.sh --complete_orfs_only


clean:
	./cleanme.pl

=== debian/changelog ===
transdecoder (5.7.1-2) unstable; urgency=medium

  * d/tests/control: skip tests when hmmer is not available on that
    architecture.

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 14 Sep 2023 12:37:41 +0200

transdecoder (5.7.1-1) unstable; urgency=medium

  * d/watch: update to new tag format.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * d/patches: drop fix-whatis and reproducible-sample_data.patch.
  * d/patches/no_sudo: don't use sudo during clean operation
  * d/patches/2to2: forward upstream
  * d/control, d/tests/control: add ncbi-blast+ for makeblastdb
                                hmmer for hmmpress,
                                r-base-core, r-cran-ggplot2, r-bioc-seqlogo
  * d/patches/test_path.patch: fix some test paths.
  * d/transdecoder-docs.docs: new readme name.
  * upstream no longer used POD, so drop the pod2man usage.

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 13 Sep 2023 22:54:52 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,17 @@
 Source: transdecoder
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Michael R. Crusoe <michael.crusoe@gmail.com>,
+Uploaders: Michael R. Crusoe <crusoe@debian.org>,
            Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               liburi-perl
-Standards-Version: 4.6.0
+               liburi-perl,
+               ncbi-blast+ <!nocheck>,
+               hmmer <!nocheck>,
+               r-base-core <!nocheck>,
+               r-cran-ggplot2 <!nocheck>,
+               r-bioc-seqlogo <!nocheck>
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/transdecoder
 Vcs-Git: https://salsa.debian.org/med-team/transdecoder.git
 Homepage: https://transdecoder.github.io/
@@ -19,6 +24,9 @@
          liburi-perl,
          r-base-core,
          python3
+Recommends: r-cran-ggplot2,
+            r-bioc-seqlogo,
+            hmmer
 Suggests: transdecoder-doc
 Description: find coding regions within RNA transcript sequences
  TransDecoder identifies candidate coding regions within transcript sequences,

=== debian/rules ===
#!/usr/bin/make -f

DH_VERBOSE := 1

include /usr/share/dpkg/default.mk

%:
	dh $@

override_dh_auto_clean:
	cd ./sample_data && for script in ./*/cleanme.pl; do $$($$script); done

override_dh_auto_build:

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	dh_auto_test
	cd ./sample_data && for script in ./*/cleanme.pl; do $$($$script); done
endif

override_dh_install:
	dh_install
	find debian/transdecoder -name '*.p?' | xargs sed -i \
                's=^#!/usr/local/bin/perl=#!/usr/bin/perl='
	find debian/*/usr/lib/transdecoder -type d -empty -delete

override_dh_fixperms:
	dh_fixperms
	chmod -x debian/transdecoder/usr/lib/transdecoder/PerlLib/Fasta_retriever.pm
	find debian -name Process_cmd.pm -exec chmod -x \{\} \;

override_dh_installdocs:
	dh_installdocs
	for pl in `grep -Rl '#![[:space:]]*/usr/bin/env[[:space:]]\+perl' debian/*/usr/*` ; do \
	    sed -i '1s?^#![[:space:]]*/usr/bin/env[[:space:]]\+perl?#!/usr/bin/perl?' $${pl} ; \
	done

=== debian/tests/control ===
Tests: run-tests
Depends: make, @, ncbi-blast+, hmmer
Restrictions: skip-not-installable, allow-stderr

=== debian/watch ===
version=4

opts="mode=git" \
https://github.com/TransDecoder/Transdecoder.git refs/tags/TransDecoder-v@ANY_VERSION@
